Index: extensions/gally/gally-default/language/da_DK/index.php
===================================================================
--- extensions/gally/gally-default/language/da_DK/index.php	(revision 15933)
+++ extensions/gally/gally-default/language/da_DK/index.php	(revision 15933)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/gally/gally-default/language/da_DK/theme.lang.php
===================================================================
--- extensions/gally/gally-default/language/da_DK/theme.lang.php	(revision 15933)
+++ extensions/gally/gally-default/language/da_DK/theme.lang.php	(revision 15933)
@@ -0,0 +1,43 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['gally_action_ko'] = 'Handlingen mislykkedes';
+$lang['gally_action_ok'] = 'Aktionen var en succes';
+$lang['gally_alternate_banner_content'] = 'Alternativ banner indhold:';
+$lang['gally_columns'] = 'Antal af kolonner';
+$lang['gally_defaultZoomSize_fit'] = 'Billedet er skaleret til at blive fuldt vises på skærmen';
+$lang['gally_defaultZoomSize_full'] = 'Faktisk størrelse (hvis billedet ikke passer på skærmen, er det muligt at rulle vandret og lodret)';
+$lang['gally_default_zoom_size_desc'] = 'Denne indstilling indstiller skærmen type, der anvendes som standard ved et high definition billede er indlæst';
+$lang['gally_default_zoom_size'] = 'Standard zoom størrelse';
+$lang['gally_displayHighResIcon_no'] = 'Vis ikke ikonet';
+$lang['gally_displayHighResIcon_yes'] = 'Vis ikonet';
+$lang['gally_display_banner_alternate'] = 'Vis alternativ banner';
+$lang['gally_display_banner_desc'] = 'Denne indstilling styrer, om banneret af webstedet skal vises, når et billede vises';
+$lang['gally_display_banner_no'] = 'Vis ikke banner';
+$lang['gally_display_banner_yes'] = 'Vis banner';
+$lang['gally_display_banner'] = 'Vis banner';
+$lang['gally_display_high_res_click_mode_desc'] = 'Denne indstilling definerer hvordan brugerfladen opfører sig, når du klikker på billedet i høj opløsning';
+$lang['gally_display_high_res_click_mode'] = 'Handling er forbundet med billede i høj opløsning';
+$lang['gally_display_high_res_icon_desc'] = 'Denne indstilling, hvis billedet har en version i høj opløsning, vises en ikon i værktøjslinjen';
+$lang['gally_display_high_res_icon'] = 'Ikon på værktøjslinjen';
+$lang['gally_highResClickMode_close'] = 'Afslut visning af billedet i høj opløsning';
+?>