Index: /extensions/floOS/OS_glass/local_head.tpl
===================================================================
--- /extensions/floOS/OS_glass/local_head.tpl	(revision 15940)
+++ /extensions/floOS/OS_glass/local_head.tpl	(revision 15941)
@@ -106,9 +106,10 @@
 });
 $(function(){
-    $(".categoryActions A").tipTip({delay : 0, fadeIn : 200, fadeOut : 200 });
-    $("#home_icon A").tipTip({edgeOffset : 10, fadeIn : 200, fadeOut : 200, defaultPosition : "top" });
-    $(".randomButtons A").tipTip({delay : 0, fadeIn : 200, fadeOut : 200 });
-    $(".navButtons A").tipTip({delay : 0, fadeIn : 200, fadeOut : 200 });
-    $("#mbCategories a").tipTip({delay : 0, fadeIn : 200, fadeOut : 200 });
+    $('.categoryActions li a[title]').tipTip({delay : 0, fadeIn : 200, fadeOut : 200, defaultPosition : "top"  });
+    $("#home_icon A[title]").tipTip({edgeOffset : 10, fadeIn : 200, fadeOut : 200, defaultPosition : "top" });
+    $(".randomButtons A[title]").tipTip({delay : 0, fadeIn : 200, fadeOut : 200 });
+    $(".navButtons A[title]").tipTip({delay : 0, fadeIn : 200, fadeOut : 200 });
+    $(".actionButtons a[title]").tipTip({delay : 0, fadeIn : 200, fadeOut : 200, defaultPosition : "top" });
+    $("#mbCategories a[title]").tipTip({delay : 0, fadeIn : 200, fadeOut : 200 });
 });
   </script> 
Index: /extensions/floOS/OS_glass/theme.css
===================================================================
--- /extensions/floOS/OS_glass/theme.css	(revision 15940)
+++ /extensions/floOS/OS_glass/theme.css	(revision 15941)
@@ -279,5 +279,5 @@
 	width:auto;
 }
-#derivativeSwitchBox {
+#derivativeSwitchBox, #sortOrderBox {
 	font-size: 11px;
 	color: #000033;
@@ -295,7 +295,6 @@
 	-moz-box-shadow: 0 0 5px #555;
 }
-#derivativeSwitchBox A:hover{
+#derivativeSwitchBox A:hover, #sortOrderBox A:hover {
 	text-shadow: 0 0 2px #000;
-  color:
 }
 
Index: /extensions/floOS/OS_glass_clear/local_head.tpl
===================================================================
--- /extensions/floOS/OS_glass_clear/local_head.tpl	(revision 15940)
+++ /extensions/floOS/OS_glass_clear/local_head.tpl	(revision 15941)
@@ -86,9 +86,10 @@
 });
 $(function(){
-    $(".categoryActions A").tipTip({delay : 0, fadeIn : 200, fadeOut : 200 });
-    $("#home_icon A").tipTip({edgeOffset : 10, fadeIn : 200, fadeOut : 200, defaultPosition : "top" });
-    $(".randomButtons A").tipTip({delay : 0, fadeIn : 200, fadeOut : 200 });
-    $(".navButtons A").tipTip({delay : 0, fadeIn : 200, fadeOut : 200 });
-    $("#mbCategories a").tipTip({delay : 0, fadeIn : 200, fadeOut : 200 });
+    $('.categoryActions li a[title]').tipTip({delay : 0, fadeIn : 200, fadeOut : 200, defaultPosition : "top"  });
+    $("#home_icon A[title]").tipTip({edgeOffset : 10, fadeIn : 200, fadeOut : 200, defaultPosition : "top" });
+    $(".randomButtons A[title]").tipTip({delay : 0, fadeIn : 200, fadeOut : 200 });
+    $(".navButtons A[title]").tipTip({delay : 0, fadeIn : 200, fadeOut : 200 });
+    $(".actionButtons a[title]").tipTip({delay : 0, fadeIn : 200, fadeOut : 200, defaultPosition : "top" });
+    $("#mbCategories a[title]").tipTip({delay : 0, fadeIn : 200, fadeOut : 200 });
 });
   </script> 
Index: /extensions/floOS/OS_glass_clear/theme.css
===================================================================
--- /extensions/floOS/OS_glass_clear/theme.css	(revision 15940)
+++ /extensions/floOS/OS_glass_clear/theme.css	(revision 15941)
@@ -85,6 +85,6 @@
 	margin: 5px;
 }
-.thumbnails span, .thumbnails .wrap2 a, .thumbnails label {
-    width: 145px;
+.thumbnails SPAN, .thumbnails .wrap2 A, .thumbnails LABEL {
+    width: 145px !important;
 }
 .illustration IMG {
@@ -322,4 +322,24 @@
 	width:auto;
 }
+#derivativeSwitchBox, #sortOrderBox {
+	font-size: 11px;
+	color: #000033;
+	text-shadow: 0 0 2px #ccc;
+	padding: 4px 8px;
+	border: 1px solid rgba(255,255,255,0.25);
+	background-color: rgb(255,255,255);
+	background-color: rgba(255,255,255,0.92);
+	background-image: -webkit-gradient(linear, 0% 0%, 0% 100%, from(transparent), to(#fff));
+	border-radius: 3px;
+	-webkit-border-radius: 3px;
+	-moz-border-radius: 3px;
+	box-shadow: 0 0 5px #555;
+	-webkit-box-shadow: 0 0 5px #555;
+	-moz-box-shadow: 0 0 5px #555;
+}
+#derivativeSwitchBox A:hover, #sortOrderBox A:hover {
+	text-shadow: 0 0 2px #000;
+}
+
 /*calendar elements*/
 SPAN.calItem, SPAN.calItemEmpty
Index: /extensions/floOS/OS_glass_dark/local_head.tpl
===================================================================
--- /extensions/floOS/OS_glass_dark/local_head.tpl	(revision 15940)
+++ /extensions/floOS/OS_glass_dark/local_head.tpl	(revision 15941)
@@ -86,9 +86,10 @@
 });
 $(function(){
-    $(".categoryActions A").tipTip({delay : 0, fadeIn : 200, fadeOut : 200 });
-    $("#home_icon A").tipTip({edgeOffset : 10, fadeIn : 200, fadeOut : 200, defaultPosition : "top" });
-    $(".randomButtons A").tipTip({delay : 0, fadeIn : 200, fadeOut : 200 });
-    $(".navButtons A").tipTip({delay : 0, fadeIn : 200, fadeOut : 200 });
-    $("#mbCategories a").tipTip({delay : 0, fadeIn : 200, fadeOut : 200 });
+    $('.categoryActions li a[title]').tipTip({delay : 0, fadeIn : 200, fadeOut : 200, defaultPosition : "top"  });
+    $("#home_icon A[title]").tipTip({edgeOffset : 10, fadeIn : 200, fadeOut : 200, defaultPosition : "top" });
+    $(".randomButtons A[title]").tipTip({delay : 0, fadeIn : 200, fadeOut : 200 });
+    $(".navButtons A[title]").tipTip({delay : 0, fadeIn : 200, fadeOut : 200 });
+    $(".actionButtons a[title]").tipTip({delay : 0, fadeIn : 200, fadeOut : 200, defaultPosition : "top" });
+    $("#mbCategories a[title]").tipTip({delay : 0, fadeIn : 200, fadeOut : 200 });
 });
   </script> 
Index: /extensions/floOS/OS_glass_dark/theme.css
===================================================================
--- /extensions/floOS/OS_glass_dark/theme.css	(revision 15940)
+++ /extensions/floOS/OS_glass_dark/theme.css	(revision 15941)
@@ -75,5 +75,5 @@
 }
 .thumbnails span, .thumbnails .wrap2 a, .thumbnails label {
-    width: 145px;
+    width: 145px !important;;
 }
 .illustration IMG {
@@ -308,4 +308,24 @@
 	border:#FFF solid 2px;
 	width:auto;
+}
+#derivativeSwitchBox, #sortOrderBox {
+	font-size: 11px;
+	color: #fff;
+	text-shadow: 0 0 2px #ccc;
+	padding: 4px 8px;
+	border: 1px solid rgba(255,255,255,0.25);
+	background-color: rgb(50,50,50);
+	background-color: rgba(50,50,50,0.92);
+	background-image: -webkit-gradient(linear, 0% 0%, 0% 100%, from(transparent), to(#fff));
+	border-radius: 3px;
+	-webkit-border-radius: 3px;
+	-moz-border-radius: 3px;
+	box-shadow: 0 0 5px #555;
+	-webkit-box-shadow: 0 0 5px #555;
+	-moz-box-shadow: 0 0 5px #555;
+}
+#derivativeSwitchBox A:hover, #sortOrderBox A:hover {
+	text-shadow: 0 0 2px #000;
+	color: #fff;
 }
 
Index: /extensions/floOS/OS_glass_dark_2/local_head.tpl
===================================================================
--- /extensions/floOS/OS_glass_dark_2/local_head.tpl	(revision 15940)
+++ /extensions/floOS/OS_glass_dark_2/local_head.tpl	(revision 15941)
@@ -86,9 +86,10 @@
 });
 $(function(){
-    $(".categoryActions A").tipTip({delay : 0, fadeIn : 200, fadeOut : 200 });
-    $("#home_icon A").tipTip({edgeOffset : 10, fadeIn : 200, fadeOut : 200, defaultPosition : "top" });
-    $(".randomButtons A").tipTip({delay : 0, fadeIn : 200, fadeOut : 200 });
-    $(".navButtons A").tipTip({delay : 0, fadeIn : 200, fadeOut : 200 });
-    $("#mbCategories a").tipTip({delay : 0, fadeIn : 200, fadeOut : 200 });
+    $('.categoryActions li a[title]').tipTip({delay : 0, fadeIn : 200, fadeOut : 200, defaultPosition : "top"  });
+    $("#home_icon A[title]").tipTip({edgeOffset : 10, fadeIn : 200, fadeOut : 200, defaultPosition : "top" });
+    $(".randomButtons A[title]").tipTip({delay : 0, fadeIn : 200, fadeOut : 200 });
+    $(".navButtons A[title]").tipTip({delay : 0, fadeIn : 200, fadeOut : 200 });
+    $(".actionButtons a[title]").tipTip({delay : 0, fadeIn : 200, fadeOut : 200, defaultPosition : "top" });
+    $("#mbCategories a[title]").tipTip({delay : 0, fadeIn : 200, fadeOut : 200 });
 });
   </script> 
Index: /extensions/floOS/OS_glass_dark_2/theme.css
===================================================================
--- /extensions/floOS/OS_glass_dark_2/theme.css	(revision 15940)
+++ /extensions/floOS/OS_glass_dark_2/theme.css	(revision 15941)
@@ -107,5 +107,5 @@
 }
 .thumbnails span, .thumbnails .wrap2 a, .thumbnails label {
-    width: 145px;
+    width: 145px !important;;
 }
 .illustration IMG {
@@ -352,4 +352,25 @@
     font-weight:bold;
 }
+#derivativeSwitchBox, #sortOrderBox {
+	font-size: 11px;
+	color: #fff;
+	text-shadow: 0 0 2px #ccc;
+	padding: 4px 8px;
+	border: 1px solid rgba(50,50,50,0.25);
+	background-color: rgb(50,50,50);
+	background-color: rgba(50,50,50,0.92);
+	background-image: -webkit-gradient(linear, 0% 0%, 0% 100%, from(transparent), to(#fff));
+	border-radius: 3px;
+	-webkit-border-radius: 3px;
+	-moz-border-radius: 3px;
+	box-shadow: 0 0 5px #555;
+	-webkit-box-shadow: 0 0 5px #555;
+	-moz-box-shadow: 0 0 5px #555;
+}
+#derivativeSwitchBox A:hover, #sortOrderBox A:hover {
+	text-shadow: 0 0 2px #000;
+	color: #fff;
+}
+
 /*calendar elements*/
 SPAN.calItem, SPAN.calItemEmpty