Index: /trunk/language/af_ZA/admin.lang.php
===================================================================
--- /trunk/language/af_ZA/admin.lang.php	(revision 15942)
+++ /trunk/language/af_ZA/admin.lang.php	(revision 15943)
@@ -214,5 +214,5 @@
 $lang['Allow users to edit their own comments'] = 'Laat gebruikers to om eie opmerkings te verander';
 $lang['Allowed file types: %s.'] = 'Toegelate lêertipes: %s';
-$lang['An error has occured during extract. Please check files permissions of your piwigo installation.<br><a href="%s">Click here to show log error</a>.'] = '%s is suksesvol opgedateer.';
+$lang['An error has occured during extract. Please check files permissions of your piwigo installation.<br><a href="%s">Click here to show log error</a>.'] = 'Daar was \'n fout tydens ontrekking. Gaan asseblief lêer toestemmings van jou Piwigo installasie na. <br><a href="%s">Kliek hier om die loglêer te wys</a>.';
 $lang['An error has occured during upgrade.'] = 'Daar was \'n fout tydens opgradering.';
 $lang['An information email was sent to group "%s"'] = 'Al %d fotos is geselekteer';
@@ -602,5 +602,4 @@
 $lang['Correction applied with error'] = 'Fout tydens regstelling';
 $lang['Correction applied with success'] = 'Regstelling suksesvol gemaak';
-$lang['Create a new site : (give its URL to create_listing_file.php)'] = 'Skep nuwe webtuiste : (gee sy adres aan create_listing_file.php)';
 $lang['Delete multiple size images'] = 'Verwyder multi-grootte beelde';
 $lang['Deletions'] = 'Verwyderings';
@@ -659,5 +658,5 @@
 $lang['Hoverbox display'] = 'Sweefskerm';
 $lang['I decide to update anyway'] = 'Ek wil inelkgeval opdateer';
-$lang['If no HD is available and if the current websize is bigger than resize dimensions, Piwigo will move it as HD and create a downsized websize photo from it.'] = 'As hoëresolusie nie beskikbaar is nie, en die huidige webgrootte-kopie groter is as die normale webgrootte, dan sal Piwigo die huidige kopie as hoëresolusie gebruik en \'n nuwe webgrootte-kopie maak.';
+$lang['If no HD is available and if the current websize is bigger than resize dimensions, Piwigo will move it as HD and create a downsized websize photo from it.'] = 'As hoë resolusie nie beskikbaar is nie, en die huidige webgrootte-kopie groter is as die normale webgrootte, sal Piwigo die huidige kopie as hoë resolusie gebruik en \'n nuwe webgrootte-kopie maak.';
 $lang['If you encounter problems or have any question, please send a message to'] = 'Indien jy enige probleme, klagtes of kommentaar het, stuur \'n e-pos aan';
 $lang['Ignore selected anomalies'] = 'Ignoreer geselekteerde onreëlmatighede';
@@ -755,5 +754,5 @@
 $lang['Cannot delete the old permalink !'] = 'Die ou permaskakel kan nie verwyder word nie!';
 $lang['Center of interest'] = 'Fokusmiddelpunt';
-$lang['Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive emails when a new release is available (sometimes including a security bug fix, it\'s important to know and upgrade) and when major events happen to the project. Only a few emails a year.'] = 'Bly betrokke by die Piwigo-projek deur in ste skryf vir die Piwigo Afkondingings-nuusbrief. Jy sal \'n e-pos ontvang as \'n nuwe weergawe uitgegee word of as daar enige ander groot nuus rakende die projek is. Dit is gewoonlik net enkele e-posse per jaar.';
+$lang['Keep in touch with Piwigo project, subscribe to Piwigo Announcement Newsletter. You will receive emails when a new release is available (sometimes including a security bug fix, it\'s important to know and upgrade) and when major events happen to the project. Only a few emails a year.'] = 'Bly betrokke by die Piwigo-projek deur in te skryf vir die Piwigo Afkondingings-nuusbrief. Jy sal \'n e-pos ontvang as \'n nuwe weergawe uitgegee word of as daar enige ander groot nuus rakende die projek is. Dit is gewoonlik net enkele e-posse per jaar.';
 $lang['Languages which need upgrade'] = 'Tale wat opgedateer moet word';
 $lang['Last hit'] = 'Onlangste besoek';
@@ -783,5 +782,5 @@
 $lang['Purge search history'] = 'Verwyder soek-geskiedenis';
 $lang['Read Piwigo Documentation'] = 'Lees Piwigo dokumentasie';
-$lang['Replacers (customized templates)'] = 'Vervang (eie sjablone)';
+$lang['Replacers (customized templates)'] = 'Vervang (aangemete sjablone)';
 $lang['Reset ignored updates'] = 'Hou op opdaterings ignoreer';
 $lang['Resize'] = 'Verander grootte';
@@ -811,5 +810,5 @@
 $lang['apply automatic sort order'] = 'Sorteer outomaties';
 $lang['cancel manual order'] = 'Kanselleer handmatige volgorde';
-$lang['custom'] = 'Eie keuse';
+$lang['custom'] = 'Aangemeet';
 $lang['overrides existing values with empty ones'] = 'vervang bestaande waardes met leë waardes';
 $lang['pending validation'] = 'wag vir goedkeuring';
@@ -829,3 +828,94 @@
 $lang['Invert'] = 'Keer om';
 $lang['Language has been successfully installed'] = 'Taal is suksesvol geïnstalleer';
+$lang['<em>Piwigo for Android</em> application empowers you to connect your Android phone or table to your Piwigo gallery, create some albums and upload several photos at once.'] = '<em>Piwigo vir Android</em> toepassing stel jou in staat om met jou Android foon of tablet aan jou Piwigo gallery te verbind, albums te skep en fotos op te laai.';
+$lang['<em>Piwigo for iOS</em> application empowers you to connect to your Piwigo gallery from your iPhone, iPad or iPod Touch, create some albums and upload several photos at once.'] = '<em>Piwigo vir iOS</em> toepassing stel jou in staat om met jou iPhone, iPad of iPad touch aan jou Piwigo gallery te verbind, albums te skep en fotos op te laai.';
+$lang['Adobe Photoshop Lightroom is a photography software designed to manage large quantities of digital images and doing post production work.'] = 'Adobe Photoshop Lightroom is fotografie sagteware wat ontwerp is om groot hoeveelhede digitale beelde te administreer en postproduksie werk te doen.';
+$lang['Aperture is a powerful tool to refine images and manage massive libraries on Mac.'] = 'Aperture is \'n kragtige pakket om beelde te verwerk en groot biblioteke op Mac te hanteer.';
+$lang['Aperture is designed for professional photographers with iPhoto simplicity.'] = 'Aperture is ontwerk vir professionele fotograwe met iPhoto eenvoudigheid.';
+$lang['Bound Theme'] = 'Gebonde tema';
+$lang['By rank'] = 'Volgens rangorde';
+$lang['Follow Orientation'] = 'Volg oriëntasie';
+$lang['Hit'] = 'Tref';
+$lang['In your php.ini file, the upload_max_filesize (%sB) is bigger than post_max_size (%sB), you should change this setting'] = 'In jou php.ini lêer is die upload_max_filesize (%sB) groter as die post_max_size (%sB). Jy moet hierdie verstelling verander';
+$lang['Include display of recent photos grouped by dates'] = 'Sluit in die vertoon van onlangse fotos gegroepeer volgens datum';
+$lang['Include history data (Warning: server memory limit may be exceeded)'] = 'Sluit geskiedkundige data in (Waarskuwing: bediener geheue limiet kan oorskrei word)';
+$lang['Link all album photos to a new album'] = 'Koppel alle album fotos aan \'n nuwe album';
+$lang['Link all album photos to some existing albums'] = 'Koppel alle album fotos aan sommige bestaande albums';
+$lang['Linked albums'] = 'Gekoppelde albums';
+$lang['Local'] = 'Plaaslik';
+$lang['Mail address is obligatory for all users'] = 'Epos adres is verpligtend vir alle gebruikers';
+$lang['Manage authorizations for selected albums'] = 'Beheer regte vir gekose albums';
+$lang['Manage permissions for group "%s"'] = 'Bheer regte vir die groep "%s"';
+$lang['Manage permissions for user "%s"'] = 'Bheer regte vir die gebruiker "%s"';
+$lang['Manage photo ranks'] = 'Beheer foto rangordes';
+$lang['Maximum file size: %sB.'] = 'Maksimum lêer groote: %sB';
+$lang['Metadata synchronization results'] = 'Metadata sinchronisasie resultate';
+$lang['Metadata synchronized from file'] = 'Metadata sinchronisasie vanaf lêer';
+$lang['Miscellaneous'] = 'Allerlei';
+$lang['Missing Plugins'] = 'Vermiste Invoegsels';
+$lang['Missing a temporary folder'] = 'Vermis \'n tydelike gids';
+$lang['No destination tag selected'] = 'Geen bestemming etiket gekies nie';
+$lang['No user to send notifications by mail.'] = 'Geen gebruikers vir epos inkennisstelling';
+$lang['Number of downloads'] = 'Aantal aflaaie';
+$lang['Number of rates'] = 'Aantal graderings';
+$lang['Number of thumbnails to create'] = 'Aantal duimnaels om te skep';
+$lang['On your Linux, simply install Shotwell with your package manager and the activate Piwigo publishing option.'] = 'Op jou Linux, installeer eenvoudig Shotwell met jou pakketbeheerder en aktiveer die Piwigo publikasie opsie.';
+$lang['Operating system'] = 'Bedryfstelsel';
+$lang['Operation in progress'] = 'Behandeling onderweg.';
+$lang['Optimizations have been completed with some errors.'] = 'Optimalisasies is met \'n paar foute voltooi.';
+$lang['Optional URL keyword'] = 'Opsionele URL sleutelwoord';
+$lang['Options'] = 'Keuses';
+$lang['Order of menubar items has been updated successfully.'] = 'Volgorde van kieslys items is suksesvol opgedateer.';
+$lang['Original templates'] = 'Oorspronklike template';
+$lang['Photos generation in progress...'] = 'Besig met fotoskepping...';
+$lang['Piwigo cannot retrieve upgrade file from server'] = 'Piwigo kan nie opgraderingslêer van bediener verkry nie';
+$lang['Piwigo export plugin for Aperture'] = 'Piwigo uitvoer invoeging vir Aperture';
+$lang['Please check "plugins" folder and sub-folders permissions (CHMOD).'] = 'Gaan asseblief "plugins" subgids se toestemmings na (CHMOD).';
+$lang['Predefined filter'] = 'Voorafopgestelde filter';
+$lang['Prepared time for list of users to send mail is limited. Others users are not listed.'] = 'Die tyd om die lys van gebruikers vir wie epos gestuur word voor te berei, is beperk. Ander gebruikers word nie gelys nie.';
+$lang['Purge never used notification feeds'] = 'Maak ongebruikte kennisname strome skoon';
+$lang['Purge sessions'] = 'Maak sessies skoon';
+$lang['Quick Local Synchronization'] = 'Vinnige Plaaslike Sinchronisasie';
+$lang['Rate date'] = 'Gradeer datum';
+$lang['Rating by guests'] = 'Gradering deur gaste';
+$lang['Rating'] = 'Gradering';
+$lang['ReGalAndroid (RemoteGallery client for Android) is an open source (GPL v3) Piwigo client for the Android platform.'] = 'ReGalAndroid (RemoteGallery client for Android) is \'n oopbron (GPL v3) Piwigo kliënt vir die Android dek.';
+$lang['Refresh photo set'] = 'Herlaai fotostel';
+$lang['Reinitialize check integrity'] = 'Hervat integriteit nasiening';
+$lang['Remote'] = 'Afstand';
+$lang['Remove from caddie'] = 'Verwyder uit mandjie';
+$lang['Replacement of original templates by customized templates from template-extension subfolder'] = 'Vervanging van oorspronklike sjablone deur aangemete sjablone uit die sjabloon-uitbreidings subgids';
+$lang['Resize after upload'] = 'Verander grootte na oplaai';
+$lang['Send an information email to group members'] = 'Stuur \'n inligtings-epos aan groep lede';
+$lang['Send connection settings by email'] = 'Stuur verbindingsverstellings deur epos';
+$lang['Set creation date'] = 'Stel skeppingsdatum';
+$lang['Shotwell is an open source digital photo organizer that runs on Linux. It is the default photo manager in Ubuntu and Fedora.'] = 'Shotwell is \'n oopbron digitale fotobeheerder wat op Linux loop. Dit is die verstek fotobeheerder in Ubuntu en Fedora.';
+$lang['Status of user "%s" updated'] = 'Gebruiker "%s" status opdateer';
+$lang['Subscribe/unsubscribe users'] = 'Gebruikers Inteken/afteken ';
+$lang['Subscribers could be listed (available) only if there is new elements to notify.'] = 'Intekenaars kan slegs gelys word (beskikbaar) as daar nuwe elemente is om in kennis te stel.';
+$lang['Sum of rates'] = 'Totaal van graderings';
+$lang['The Piwigo export plugin allows you to create albums and export photos.'] = 'Die Piwigo uitvoer invoegsel laat jou toe om albums te skep en fotos uit te voer.';
+$lang['The Piwigo publish Plug-in allows you to export and synchronize photos from Lightroom directly to your Piwigo photo gallery.'] = 'Die Piwigo publiseer invoegsel laat jou toe om fotos direk uit Lightroom na jou Piwigo gallery op te laai en te sinchroniseer.';
+$lang['The uploaded file exceeds the MAX_FILE_SIZE directive that was specified in the HTML form'] = 'Die opgelaaide lêer is groter as die MAX_FILE_SIZE opdrag wat in die HTML vorm gespesifiseer is';
+$lang['The uploaded file exceeds the upload_max_filesize directive in php.ini: %sB'] = 'Die opgelaaide lêer is groter as die upload_max_filesize opdrag in php.ini: %sB';
+$lang['The uploaded files exceed the post_max_size directive in php.ini: %sB'] = 'Die opgelaaide lêers is groter as die upload_max_filesize opdrag in php.ini: %sB';
+$lang['Time to send mail is limited. Others mails are skipped.'] = 'Die beskikbare tyd om epos te stuur is beperk. Ander eposse is oorgeslaan.';
+$lang['Toggle \'default group\' property'] = 'Draai \'verstek groep\' eienskap om';
+$lang['Warning: subscribing or unsubscribing will send mails to users'] = 'Waarskuwing: inteken of afteken sal epos na gebruikers stuur';
+$lang['You are running on development sources, no check possible.'] = 'Jy gebruik ontwikkelaarskode, geen nasiening moontlik nie.';
+$lang['You can\'t define a default photo order because you have a custom setting in your local configuration.'] = 'Jy kan nie \'n verstek foto volgorde kies nie want jy het \'n aangemete verstelling in jou lokale konfigurasie.';
+$lang['You have specified <i>$conf[\'order_by\']</i> in your local configuration file, this parameter in deprecated, please remove it or rename it into <i>$conf[\'order_by_custom\']</i> !'] = 'Jy het <i>$conf[\'order_by\']</i> in jou lokale konfigurasie gespesifiseer. Hierdie parameter is afgekeur. Verwyder dit of vernoem dit na <i>$conf[\'order_by_custom\']</i>!';
+$lang['create a new site'] = 'skep \'n nuwe werf';
+$lang['digiKam is an advanced digital photo management free software for Linux, Windows, and MacOSX.'] = 'digiKam is \'n gevorderde gratis foto hanteringsagteware pakket vir Linux, Windows en MacOSX.';
+$lang['global mode'] = 'globale modus';
+$lang['iPhoto is the default photo manager on MacOSX. The Piwigo export plugin let you create new albums and export your photos directly from iPhoto to your Piwigo photo gallery.'] = 'iPhoto is die verstek fotohanteringsagteware op MacOSX. Die Piwigo uitvoer invoegsel laat jou nuwe albums skep en direk fotos van iPhoto na jou Piwigo gallery oplaai.';
+$lang['manage album photos'] = 'beheer album fotos';
+$lang['no write access'] = 'geen skryf regte';
+$lang['on the %d selected photos'] = 'op die %d gekose fotos';
+$lang['only perform a simulation (no change in database will be made)'] = 'doen net \'n simulasie (niks sal in die databasis verander word nie)';
+$lang['pLoader stands for <em>Piwigo Uploader</em>. From your computer, pLoader prepares your photos and transfer them to your Piwigo photo gallery.'] = 'pLoader is kort vir <em>Piwigo Uploader</em>. pLoader berei fotos voor op jou rekenaar en dra dit oor na jou Piwigo fotogallery.';
+$lang['photos candidates for metadata synchronization'] = 'foto kandidate vir metadata sinchronisasie';
+$lang['photos informations synchronized with files metadata'] = 'foto inligting gesinchroniseerd met lêer metadata';
+$lang['reduce to single existing albums'] = 'verminder na enkel bestaande albums';
+$lang['unset'] = 'onstel';
 ?>