Index: /extensions/GuestBook/admin/config.php
===================================================================
--- /extensions/GuestBook/admin/config.php	(revision 15947)
+++ /extensions/GuestBook/admin/config.php	(revision 15948)
@@ -9,4 +9,5 @@
     'email_admin_on_comment_validation' => isset($_POST['email_admin_on_comment_validation']),
     'nb_comment_page' => $_POST['nb_comment_page'],
+    'activate_rating' => isset($_POST['activate_rating']),
     );
     
Index: /extensions/GuestBook/admin/template/config.tpl
===================================================================
--- /extensions/GuestBook/admin/template/config.tpl	(revision 15947)
+++ /extensions/GuestBook/admin/template/config.tpl	(revision 15948)
@@ -13,4 +13,11 @@
         <b>{'Number of comments per page'|@translate}</b>
         <input type="text" size="3" maxlength="4" name="nb_comment_page" id="nb_comment_page" value="{$nb_comment_page}">
+      </label>
+    </li>
+
+    <li>
+      <label>
+        <input type="checkbox" name="activate_rating" {if ($activate_rating)}checked="checked"{/if}>
+        <b>{'Activate rating'|@translate}</b>
       </label>
     </li>
Index: /extensions/GuestBook/include/guestbook.inc.php
===================================================================
--- /extensions/GuestBook/include/guestbook.inc.php	(revision 15947)
+++ /extensions/GuestBook/include/guestbook.inc.php	(revision 15948)
@@ -111,5 +111,5 @@
     'content' => trim( $_POST['content'] ),
     'website' => trim( $_POST['website'] ),
-    'rate' => $_POST['score'],
+    'rate' => @$_POST['score'],
    );
 
@@ -228,8 +228,10 @@
         'CONTENT' => trigger_event('render_comment_content',$row['content']),
         'WEBSITE' => $row['website'],
-        'WEBSITE_NAME' => preg_replace('#^(https?:\/\/)#i', null, $row['website']),
-        'STARS' => get_stars($row['rate'], GUESTBOOK_PATH .'template/jquery.raty/'),
-        'RATE' => $row['rate'],
       );
+      
+    if ($conf['guestbook']['activate_rating'])
+    {
+      $tpl_comment['STARS'] = get_stars($row['rate'], GUESTBOOK_PATH .'template/jquery.raty/');
+    }
       
     if (is_admin() and !empty($row['email']))
@@ -310,4 +312,5 @@
         'WEBSITE' => $website ,
         'EMAIL' => $email ,
+        'ACTIVATE_RATING' => $conf['guestbook']['activate_rating'],
       ));
 }
Index: /extensions/GuestBook/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/GuestBook/language/en_UK/plugin.lang.php	(revision 15947)
+++ /extensions/GuestBook/language/en_UK/plugin.lang.php	(revision 15948)
@@ -9,4 +9,6 @@
 $lang['* : mandatory fields'] = '* : mandatory fields';
 $lang['There are %d messages'] = 'There are %d messages';
+$lang['Activate rating'] = 'Activate rating';
+$lang['%s says on %s :'] = '%s says on %s :';
 
 ?>
Index: /extensions/GuestBook/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/GuestBook/language/fr_FR/plugin.lang.php	(revision 15947)
+++ /extensions/GuestBook/language/fr_FR/plugin.lang.php	(revision 15948)
@@ -9,4 +9,6 @@
 $lang['* : mandatory fields'] = '* : champs obligatoires';
 $lang['There are %d messages'] = 'Il y a %d messages';
+$lang['Activate rating'] = 'Activater la notation';
+$lang['%s says on %s :'] = '%s a dit le %s :';
 
 ?>
Index: /extensions/GuestBook/maintain.inc.php
===================================================================
--- /extensions/GuestBook/maintain.inc.php	(revision 15947)
+++ /extensions/GuestBook/maintain.inc.php	(revision 15948)
@@ -8,4 +8,5 @@
   'email_admin_on_comment_validation' => false,
   'nb_comment_page' => 15,
+  'activate_rating' => true,
 )));
 
Index: /extensions/GuestBook/template/comment_list.tpl
===================================================================
--- /extensions/GuestBook/template/comment_list.tpl	(revision 15947)
+++ /extensions/GuestBook/template/comment_list.tpl	(revision 15948)
@@ -27,11 +27,17 @@
 		</div>
 		{/if}
+    
+    {if $comment.WEBSITE}
+      {assign var="author" value='<span class="commentAuthor"><a href="'|@cat:$comment.WEBSITE|@cat:'">'|@cat:$comment.AUTHOR|@cat:'</a></span>'}
+    {else}
+      {assign var="author" value='<span class="commentAuthor">'|@cat:$comment.AUTHOR|@cat:'</span>'}
+    {/if}
+    {assign var="date" value='<span class="commentDate">'|@cat:$comment.DATE|@cat:'</span>'}
+    
 
     <div class="commentHeader">
-      <span class="commentAuthor">{$comment.AUTHOR}</span> 
-      {if $comment.WEBSITE} - <a href="{$comment.WEBSITE}">{$comment.WEBSITE_NAME}</a>{/if}
-      {if $comment.EMAIL} - <a href="mailto:{$comment.EMAIL}">{$comment.EMAIL}</a>{/if}<br>
-      <span class="commentDate">{$comment.DATE}</span>
-      {if $comment.RATE}{$comment.STARS}{/if}
+      {'%s says on %s :'|@translate|@sprintf:$author:$date}<br>
+      {if $comment.STARS}{$comment.STARS}{/if}
+      {if $comment.EMAIL} <a href="mailto:{$comment.EMAIL}">{$comment.EMAIL}</a>{/if}
     </div>
 		{if isset($comment.IN_EDIT)}
Index: /extensions/GuestBook/template/guestbook.tpl
===================================================================
--- /extensions/GuestBook/template/guestbook.tpl	(revision 15947)
+++ /extensions/GuestBook/template/guestbook.tpl	(revision 15948)
@@ -1,12 +1,17 @@
 {combine_css path=$GUESTBOOK_PATH|@cat:"template/style.css"}
-{combine_script id="jquery.raty" path=$GUESTBOOK_PATH|@cat:"template/jquery.raty/jquery.raty.min.js"}
+
+{if $comment_add.ACTIVATE_RATING}
+  {combine_script id="jquery.raty" path=$GUESTBOOK_PATH|@cat:"template/jquery.raty/jquery.raty.min.js"}
+  {footer_script}
+  $("#comment_rate").raty({ldelim}
+    path: "{$GUESTBOOK_PATH}template/jquery.raty/",
+    half: true
+  });
+  {/footer_script}
+{/if}
 
 {$MENUBAR}
 
 {footer_script}
-$("#comment_rate").raty({ldelim}
-  path: "{$GUESTBOOK_PATH}template/jquery.raty/",
-  half: true
-});
 $("#expandForm").click(function() {ldelim}
   $("#guestbookAdd").animate({ldelim}"width": "500px"}, function() {ldelim}
@@ -48,8 +53,10 @@
   {/if}
     <tr>
+  {if $comment_add.ACTIVATE_RATING}
     <td>
       <p>{'Rate'|@translate} :</p>
       <p><span id="comment_rate"></span></p>
     </td>
+  {/if}
     <td>
       <p><label for="website">{'Website'|@translate} :</label></p>
Index: /extensions/GuestBook/template/style.css
===================================================================
--- /extensions/GuestBook/template/style.css	(revision 15947)
+++ /extensions/GuestBook/template/style.css	(revision 15948)
@@ -18,6 +18,4 @@
   margin:0;
   cursor:pointer;
-  border-bottom-width:1px;
-  border-bottom-style:dotted;
   text-align:center;
 }
@@ -52,19 +50,22 @@
   list-style:none;
 }
-
-.commentElement .description {
-  padding:7px !important;
-}
-
-.commentElement .commentHeader  {
-  background:#444;
-  margin:-7px;
-  margin-bottom:0;
-  padding:3px;
-  color:#ddd;
-  border-radius:5px 5px 0 0;
-}
-
-.commentElement .commentHeader a {
-  color:#FFE093;
-}
+  .commentElement .description {
+    padding:7px !important;
+  }
+  .commentHeader  {
+    background:#444;
+    margin:-7px;
+    margin-bottom:0;
+    padding:6px;
+    color:#ddd;
+    border-radius:5px 5px 0 0;
+  }
+  .commentAuthor {
+    font-size:1.1em;
+  }
+  .commentDate {
+    font-size:0.9em;
+  }
+  .commentHeader a {
+    color:#FFE093;
+  }