Index: extensions/Comments_on_Albums/include/functions_comment.inc.php
===================================================================
--- extensions/Comments_on_Albums/include/functions_comment.inc.php	(revision 15994)
+++ extensions/Comments_on_Albums/include/functions_comment.inc.php	(revision 15995)
@@ -104,4 +104,12 @@
     $_POST['cr'][] = 'key';
   }
+  
+  // anonymous id = ip address
+  $ip_components = explode('.', $comm['ip']);
+  if (count($ip_components) > 3)
+  {
+    array_pop($ip_components);
+  }
+  $comm['anonymous_id'] = implode('.', $ip_components);
 
   if ($comment_action!='reject' and $conf['anti-flood_time']>0 and !is_admin())
@@ -113,4 +121,12 @@
   WHERE date > '.$reference_date.'
     AND author_id = '.$comm['author_id'];
+    if (!is_classic_user())
+    {
+      $query.= '
+      AND anonymous_id = "'.$comm['anonymous_id'].'"';
+    }
+    $query.= '
+;';
+
     list($counter) = pwg_db_fetch_row(pwg_query($query));
     if ( $counter > 0 )
Index: extensions/Comments_on_Albums/language/ca_ES/index.php
===================================================================
--- extensions/Comments_on_Albums/language/ca_ES/index.php	(revision 15995)
+++ extensions/Comments_on_Albums/language/ca_ES/index.php	(revision 15995)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/Comments_on_Albums/language/nl_NL/index.php
===================================================================
--- extensions/Comments_on_Albums/language/nl_NL/index.php	(revision 15995)
+++ extensions/Comments_on_Albums/language/nl_NL/index.php	(revision 15995)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/Comments_on_Albums/language/pt_PT/index.php
===================================================================
--- extensions/Comments_on_Albums/language/pt_PT/index.php	(revision 15995)
+++ extensions/Comments_on_Albums/language/pt_PT/index.php	(revision 15995)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/Comments_on_Albums/language/ru_RU/index.php
===================================================================
--- extensions/Comments_on_Albums/language/ru_RU/index.php	(revision 15995)
+++ extensions/Comments_on_Albums/language/ru_RU/index.php	(revision 15995)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/Comments_on_Albums/language/sh_RS/index.php
===================================================================
--- extensions/Comments_on_Albums/language/sh_RS/index.php	(revision 15995)
+++ extensions/Comments_on_Albums/language/sh_RS/index.php	(revision 15995)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/Comments_on_Albums/language/uk_UA/index.php
===================================================================
--- extensions/Comments_on_Albums/language/uk_UA/index.php	(revision 15995)
+++ extensions/Comments_on_Albums/language/uk_UA/index.php	(revision 15995)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/Comments_on_Albums/language/zh_CN/index.php
===================================================================
--- extensions/Comments_on_Albums/language/zh_CN/index.php	(revision 15995)
+++ extensions/Comments_on_Albums/language/zh_CN/index.php	(revision 15995)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/Comments_on_Albums/main.inc.php
===================================================================
--- extensions/Comments_on_Albums/main.inc.php	(revision 15994)
+++ extensions/Comments_on_Albums/main.inc.php	(revision 15995)
@@ -8,8 +8,4 @@
 Author URI: http://www.strangeplanet.fr
 */
-
-## TODO ##
-// compatibility with Simple when updated to 2.4
-// compatibility with Gally when updated to 2.4
 
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
Index: extensions/Comments_on_Albums/maintain.inc.php
===================================================================
--- extensions/Comments_on_Albums/maintain.inc.php	(revision 15994)
+++ extensions/Comments_on_Albums/maintain.inc.php	(revision 15995)
@@ -13,4 +13,5 @@
   `author` varchar(255) DEFAULT NULL,
   `author_id` smallint(5) DEFAULT NULL,
+  `anonymous_id` varchar(45) NOT NULL,
   `content` longtext,
   `validated` enum('true','false') NOT NULL DEFAULT 'false',
@@ -23,9 +24,16 @@
 function plugin_activate()
 {
-  global $conf;
+  global $conf, $prefixeTable;
   
   if (isset($conf['comments_on_albums']))
   {
     pwg_query('DELETE FROM '.CONFIG_TABLE.' WHERE param="comments_on_albums" LIMIT 1;');
+  }
+  
+  $query = 'SHOW COLUMNS FROM `' . $prefixeTable . 'comments_categories`;';
+  $columns = hash_from_query($query, 'Field');
+  if (!isset($columns['anonymous_id']))
+  {
+    pwg_query('ALTER TABLE `' . $prefixeTable . 'comments_categories` ADD `anonymous_id` VARCHAR( 45 ) DEFAULT NULL;');
   }
 }
Index: extensions/Comments_on_Albums/template/admin_comments.tpl
===================================================================
--- extensions/Comments_on_Albums/template/admin_comments.tpl	(revision 15994)
+++ extensions/Comments_on_Albums/template/admin_comments.tpl	(revision 15995)
@@ -16,9 +16,9 @@
 
   jQuery(".checkComment").click(function(event) {
+    var checkbox = jQuery(this).children("input[type=checkbox]");
     if (event.target.type !== 'checkbox') {
-      var checkbox = jQuery(this).children("input[type=checkbox]");
       jQuery(checkbox).attr('checked', !jQuery(checkbox).is(':checked'));
-      highlighComments();
     }
+    highlighComments();
   });
 
@@ -83,3 +83,5 @@
 
 </form>
+{else}
+{'No pending comment'|@translate}
 {/if}