Index: extensions/CryptograPHP/language/cs_CZ/index.php
===================================================================
--- extensions/CryptograPHP/language/cs_CZ/index.php	(revision 15719)
+++ extensions/CryptograPHP/language/cs_CZ/index.php	(revision 15996)
@@ -1,26 +1,3 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based picture gallery                                  |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-// Recursive call
 $url = '../';
 header( 'Request-URI: '.$url );
Index: extensions/CryptograPHP/language/cs_CZ/plugin.lang.php
===================================================================
--- extensions/CryptograPHP/language/cs_CZ/plugin.lang.php	(revision 15719)
+++ extensions/CryptograPHP/language/cs_CZ/plugin.lang.php	(revision 15996)
@@ -5,5 +5,4 @@
 $lang['Comments action'] = 'Komentáře akce';
 $lang['Moderate'] = 'Moderovat';
-$lang['No captcha'] = 'Bez captcha kódu';
 
 $lang['Background color'] = 'barva pozadí';
Index: extensions/CryptograPHP/language/de_DE/index.php
===================================================================
--- extensions/CryptograPHP/language/de_DE/index.php	(revision 15719)
+++ extensions/CryptograPHP/language/de_DE/index.php	(revision 15996)
@@ -1,26 +1,3 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based picture gallery                                  |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-// Recursive call
 $url = '../';
 header( 'Request-URI: '.$url );
Index: extensions/CryptograPHP/language/de_DE/plugin.lang.php
===================================================================
--- extensions/CryptograPHP/language/de_DE/plugin.lang.php	(revision 15719)
+++ extensions/CryptograPHP/language/de_DE/plugin.lang.php	(revision 15996)
@@ -33,5 +33,4 @@
 $lang['Lines density'] = 'Linien Dichte';
 $lang['Moderate'] = 'Moderate';
-$lang['No captcha'] = 'Kein Captcha';
 $lang['Noise color'] = 'Rauschfarbe';
 $lang['Noise level'] = 'Rauschpegel';
Index: extensions/CryptograPHP/language/el_GR/index.php
===================================================================
--- extensions/CryptograPHP/language/el_GR/index.php	(revision 15719)
+++ extensions/CryptograPHP/language/el_GR/index.php	(revision 15996)
@@ -1,26 +1,3 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based picture gallery                                  |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-// Recursive call
 $url = '../';
 header( 'Request-URI: '.$url );
Index: extensions/CryptograPHP/language/el_GR/plugin.lang.php
===================================================================
--- extensions/CryptograPHP/language/el_GR/plugin.lang.php	(revision 15719)
+++ extensions/CryptograPHP/language/el_GR/plugin.lang.php	(revision 15996)
@@ -5,5 +5,4 @@
 $lang['Comments action'] = 'Ενέργεια σχολίου';
 $lang['Moderate'] = 'Μέτριο';
-$lang['No captcha'] = 'Χωρίς  captcha';
 
 $lang['Captcha type'] = 'Τύπος Captcha ';
Index: extensions/CryptograPHP/language/en_UK/index.php
===================================================================
--- extensions/CryptograPHP/language/en_UK/index.php	(revision 15719)
+++ extensions/CryptograPHP/language/en_UK/index.php	(revision 15996)
@@ -1,26 +1,3 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based picture gallery                                  |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-// Recursive call
 $url = '../';
 header( 'Request-URI: '.$url );
Index: extensions/CryptograPHP/language/en_UK/plugin.lang.php
===================================================================
--- extensions/CryptograPHP/language/en_UK/plugin.lang.php	(revision 15719)
+++ extensions/CryptograPHP/language/en_UK/plugin.lang.php	(revision 15996)
@@ -7,5 +7,4 @@
 $lang['Comments action'] = 'Comments action';
 $lang['Moderate'] = 'Moderate';
-$lang['No captcha'] = 'No captcha';
 $lang['Captcha type'] = 'Captcha type';
 $lang['Random string'] = 'Random string';
@@ -15,4 +14,10 @@
 $lang['good value:'] = 'good value:';
 $lang['Captcha theme'] = 'Captcha theme';
+$lang['Activate on'] = 'Activate on';
+$lang['Picture comments'] = 'Picture comments';
+$lang['Album comments'] = 'Album comments';
+$lang['Register form'] = 'Register form';
+$lang['Contact form'] = 'Contact form';
+$lang['Guestbook'] = 'Guestbook';
 
 $lang['Perturbation'] = 'Perturbation';
Index: extensions/CryptograPHP/language/es_ES/index.php
===================================================================
--- extensions/CryptograPHP/language/es_ES/index.php	(revision 15719)
+++ extensions/CryptograPHP/language/es_ES/index.php	(revision 15996)
@@ -1,26 +1,3 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based picture gallery                                  |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-// Recursive call
 $url = '../';
 header( 'Request-URI: '.$url );
Index: extensions/CryptograPHP/language/es_ES/plugin.lang.php
===================================================================
--- extensions/CryptograPHP/language/es_ES/plugin.lang.php	(revision 15719)
+++ extensions/CryptograPHP/language/es_ES/plugin.lang.php	(revision 15996)
@@ -5,5 +5,4 @@
 $lang['Comments action'] = 'Acción para los Comentario';
 $lang['Moderate'] = 'Moderar';
-$lang['No captcha'] = 'No hay captcha';
 
 $lang['Background color'] = 'Color de fondo';
Index: extensions/CryptograPHP/language/fr_FR/index.php
===================================================================
--- extensions/CryptograPHP/language/fr_FR/index.php	(revision 15719)
+++ extensions/CryptograPHP/language/fr_FR/index.php	(revision 15996)
@@ -1,26 +1,3 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based picture gallery                                  |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-// Recursive call
 $url = '../';
 header( 'Request-URI: '.$url );
Index: extensions/CryptograPHP/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/CryptograPHP/language/fr_FR/plugin.lang.php	(revision 15719)
+++ extensions/CryptograPHP/language/fr_FR/plugin.lang.php	(revision 15996)
@@ -7,5 +7,4 @@
 $lang['Comments action'] = 'Action pour les commentaires';
 $lang['Moderate'] = 'Modérer';
-$lang['No captcha'] = 'Pas de captcha';
 $lang['Captcha type'] = 'Type de captcha';
 $lang['Random string'] = 'Code aléatoire';
@@ -15,4 +14,10 @@
 $lang['good value:'] = 'conseillé:';
 $lang['Captcha theme'] = 'Thème du captcha';
+$lang['Activate on'] = 'Activer sur';
+$lang['Picture comments'] = 'Commentaires photo';
+$lang['Album comments'] = 'Commentaire album';
+$lang['Register form'] = 'Formulaire d\'enregistrement';
+$lang['Contact form'] = 'Formulaire de contact';
+$lang['Guestbook'] = 'Livre d\'or';
 
 $lang['Perturbation'] = 'Perturbation';
Index: extensions/CryptograPHP/language/hu_HU/index.php
===================================================================
--- extensions/CryptograPHP/language/hu_HU/index.php	(revision 15719)
+++ extensions/CryptograPHP/language/hu_HU/index.php	(revision 15996)
@@ -1,26 +1,3 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based picture gallery                                  |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-// Recursive call
 $url = '../';
 header( 'Request-URI: '.$url );
Index: extensions/CryptograPHP/language/hu_HU/plugin.lang.php
===================================================================
--- extensions/CryptograPHP/language/hu_HU/plugin.lang.php	(revision 15719)
+++ extensions/CryptograPHP/language/hu_HU/plugin.lang.php	(revision 15996)
@@ -5,5 +5,4 @@
 $lang['Comments action'] = 'Hozzászólás műveletek';
 $lang['Moderate'] = 'Moderálás';
-$lang['No captcha'] = 'Nem captcha';
 
 $lang['Background color'] = 'Háttérszín';
Index: extensions/CryptograPHP/language/index.php
===================================================================
--- extensions/CryptograPHP/language/index.php	(revision 15719)
+++ extensions/CryptograPHP/language/index.php	(revision 15996)
@@ -1,26 +1,3 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based picture gallery                                  |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-// Recursive call
 $url = '../';
 header( 'Request-URI: '.$url );
Index: extensions/CryptograPHP/language/it_IT/index.php
===================================================================
--- extensions/CryptograPHP/language/it_IT/index.php	(revision 15719)
+++ extensions/CryptograPHP/language/it_IT/index.php	(revision 15996)
@@ -1,26 +1,3 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based photo gallery                                    |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-// Recursive call
 $url = '../';
 header( 'Request-URI: '.$url );
Index: extensions/CryptograPHP/language/it_IT/plugin.lang.php
===================================================================
--- extensions/CryptograPHP/language/it_IT/plugin.lang.php	(revision 15719)
+++ extensions/CryptograPHP/language/it_IT/plugin.lang.php	(revision 15996)
@@ -5,5 +5,4 @@
 $lang['Comments action'] = 'Azione per i commenti';
 $lang['Moderate'] = 'Moderare';
-$lang['No captcha'] = 'Nessun captcha';
 
 $lang['Background color'] = 'Colore di sfondo';
Index: extensions/CryptograPHP/language/lv_LV/index.php
===================================================================
--- extensions/CryptograPHP/language/lv_LV/index.php	(revision 15719)
+++ extensions/CryptograPHP/language/lv_LV/index.php	(revision 15996)
@@ -1,26 +1,3 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based picture gallery                                  |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-// Recursive call
 $url = '../';
 header( 'Request-URI: '.$url );
Index: extensions/CryptograPHP/language/lv_LV/plugin.lang.php
===================================================================
--- extensions/CryptograPHP/language/lv_LV/plugin.lang.php	(revision 15719)
+++ extensions/CryptograPHP/language/lv_LV/plugin.lang.php	(revision 15996)
@@ -5,5 +5,4 @@
 $lang['Comments action'] = 'Darbība ar komentāriem';
 $lang['Moderate'] = 'Apmierinošs';
-$lang['No captcha'] = 'Nav captcha';
 
 $lang['Background color'] = 'Fona krāsa';
Index: extensions/CryptograPHP/language/pl_PL/index.php
===================================================================
--- extensions/CryptograPHP/language/pl_PL/index.php	(revision 15719)
+++ extensions/CryptograPHP/language/pl_PL/index.php	(revision 15996)
@@ -1,26 +1,3 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based picture gallery                                  |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-// Recursive call
 $url = '../';
 header( 'Request-URI: '.$url );
Index: extensions/CryptograPHP/language/pl_PL/plugin.lang.php
===================================================================
--- extensions/CryptograPHP/language/pl_PL/plugin.lang.php	(revision 15719)
+++ extensions/CryptograPHP/language/pl_PL/plugin.lang.php	(revision 15996)
@@ -5,5 +5,4 @@
 $lang['Invalid Captcha'] = 'Nieprawidłowy kod';
 $lang['Moderate'] = 'Średni';
-$lang['No captcha'] = 'Brak captcha';
 
 $lang['Background color'] = 'Kolor tła';
Index: extensions/CryptograPHP/language/ru_RU/index.php
===================================================================
--- extensions/CryptograPHP/language/ru_RU/index.php	(revision 15719)
+++ extensions/CryptograPHP/language/ru_RU/index.php	(revision 15996)
@@ -1,26 +1,3 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based picture gallery                                  |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-// Recursive call
 $url = '../';
 header( 'Request-URI: '.$url );
Index: extensions/CryptograPHP/language/ru_RU/plugin.lang.php
===================================================================
--- extensions/CryptograPHP/language/ru_RU/plugin.lang.php	(revision 15719)
+++ extensions/CryptograPHP/language/ru_RU/plugin.lang.php	(revision 15996)
@@ -33,5 +33,4 @@
 $lang['Lines density'] = 'Плотность линий';
 $lang['Moderate'] = 'Проверить';
-$lang['No captcha'] = 'Каптча отсутствует';
 $lang['Noise color'] = 'Цветной шум';
 $lang['Noise level'] = 'Уровень шума';
Index: extensions/CryptograPHP/language/uk_UA/index.php
===================================================================
--- extensions/CryptograPHP/language/uk_UA/index.php	(revision 15719)
+++ extensions/CryptograPHP/language/uk_UA/index.php	(revision 15996)
@@ -1,26 +1,3 @@
 <?php
-// +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based picture gallery                                  |
-// +-----------------------------------------------------------------------+
-// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
-// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
-// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
-// +-----------------------------------------------------------------------+
-// | This program is free software; you can redistribute it and/or modify  |
-// | it under the terms of the GNU General Public License as published by  |
-// | the Free Software Foundation                                          |
-// |                                                                       |
-// | This program is distributed in the hope that it will be useful, but   |
-// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
-// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
-// | General Public License for more details.                              |
-// |                                                                       |
-// | You should have received a copy of the GNU General Public License     |
-// | along with this program; if not, write to the Free Software           |
-// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
-// | USA.                                                                  |
-// +-----------------------------------------------------------------------+
-
-// Recursive call
 $url = '../';
 header( 'Request-URI: '.$url );
Index: extensions/CryptograPHP/language/uk_UA/plugin.lang.php
===================================================================
--- extensions/CryptograPHP/language/uk_UA/plugin.lang.php	(revision 15719)
+++ extensions/CryptograPHP/language/uk_UA/plugin.lang.php	(revision 15996)
@@ -26,5 +26,4 @@
 $lang['Invalid Captcha'] = 'Невірна каптча';
 $lang['Moderate'] = 'Перевірити';
-$lang['No captcha'] = 'Немає капчі';
 $lang['Random string'] = 'Випадковий рядок';
 $lang['Solve equation'] = 'Вирішіть рівняння';